Bug 91590 - mozilla fails do display armenian letters when using subpixel smooting
Summary: mozilla fails do display armenian letters when using subpixel smooting
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-25 04:47 UTC by petrosyan
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-28 22:39:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a simple test file which illustrates the bug (309 bytes, text/html)
2003-05-25 04:48 UTC, petrosyan
no flags Details
mozilla rendering the test file with "Best Shapes" enabled (9.20 KB, image/png)
2003-05-25 04:50 UTC, petrosyan
no flags Details
mozilla rendering the test file with "Subpixel Smooting" turned on (8.68 KB, image/png)
2003-05-25 04:51 UTC, petrosyan
no flags Details

Description petrosyan 2003-05-25 04:47:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:
If one creates a webpage which contains both english and armenian characters (
in UTF-8) then if the subpixel smoothing is enabled mozilla sometimes fails to
display the armenian letters.

Without subpixel smoothing it _always_ displays them properly.

to illustrate the problem I am attaching a simple test.html file,
and 2 screenshots of mozilla displaying that file: with "best shapes" enabled
and "subpixel smoothing" enabled.

Version-Release number of selected component (if applicable):
mozilla-1.2.1 and mozilla-1.4b

How reproducible:
Always

Steps to Reproduce:
1. make sure you have an LCD
2. in fonts properties enable "Best Shapes"
3. open the attached test.html file in mozilla browser. this is how that file is
normally supposed to look. (look at best_shapes.png )
4. in fonts properties enable "Subpixel Smooting"
5. restart mozilla, and open test.html again. the armenian part of the  sentence
is missing ( subpixel.png )

Comment 1 petrosyan 2003-05-25 04:48:25 UTC
Created attachment 91947 [details]
a simple test file which illustrates the bug

Comment 2 petrosyan 2003-05-25 04:50:42 UTC
Created attachment 91948 [details]
mozilla rendering the test file with "Best Shapes" enabled

Comment 3 petrosyan 2003-05-25 04:51:58 UTC
Created attachment 91949 [details]
mozilla rendering the test file with "Subpixel Smooting" turned on

Comment 4 Christopher Blizzard 2003-06-02 15:00:12 UTC
What happens if you highlight the selection?  Are the characters drawn?  Try
moving back and forth across the text selecting it.

Comment 5 petrosyan 2003-06-02 15:04:16 UTC
I can see the text when it is selected, but then it disappears again after I
diselect it.

Comment 6 Christopher Blizzard 2003-06-02 15:18:24 UTC
It's actually a dup of an upstream bug in xft/fontconfig that's in mozilla's
bugtracker:

http://bugzilla.mozilla.org/show_bug.cgi?id=190278



Comment 7 petrosyan 2003-08-28 22:39:46 UTC
this bugs has been fixed in XFree86-4.3.0-22.1


Comment 8 Mike A. Harris 2003-08-30 06:36:17 UTC
Unfortunately, the fix has caused a number of other problems for us, and
may have to be removed if they can't be resolved soon.  I've wasted a lot
of time trying to resolve weird Xft/Xrender build failures and am lost
in a maze of libtool/autoconf problems.  If I can't fix it soon, I may
remove the new Xft/Xrender, at which point this bug will return.

See bug #103319 for details if anyone is interested in helping determine
the proper solution for the build failure.


Note You need to log in before you can comment on or make changes to this bug.